Registrarse

Bienvenido a Foro Minecraft.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed.

Resultados 1 al 4 de 4
  1. #1
    Junior Member
    Fecha de ingreso
    diciembre-2011
    Ubicación
    el pasado
    Mensajes
    20

    Compatibilizar .class?

    Buenas:

    llevo bastante tiempo jugando al minecraft ( desde los tiempos de las primeras alphas) y he ido acumulando ciertos mods que se me hacen vitales para el desarollo de mi juego.
    Pero resulta que cada vez me surgen mas conflictos entre archivos .class , y me gustara saber si alguno de ustedes conoce algun metodo para su compatibilizacion, lectura o modificacion.
    ya he utilizado el mod ID items recovery, para los conflictos entre objetos, pero no soluciona nada mas. me urge saber si existe algun metodo, aunque ello me haga retomar la programacion, pues ya he tenido alguna experiencia con java (muy complicado todo por cierto, hay que tener paciencia y cerebro)

    muchas gracias por tu tiempo,


    Keep Mining!
    salu2

  2. #2
    Senior Member
    Fecha de ingreso
    abril-2011
    Ubicación
    Madrid
    Mensajes
    2,946
    Entradas de blog
    17
    Eso que pides es una utopía. Dentro de poco, cuando saquen la API, puede que algo así sea posible. Mientras tanto, solo los mods que se carguen mediante otros mods como el mod loader y similares, podrán ser compatibles entre ellos.

    Piensa que cada mod modifica las clases del juego. Si instalas un mod, y despues instalas otro mod que sobreescribe una clase sobreescrita anteriormente por el otro mod, o modificara alguna de las dependencias del mísmo, se genera un conflicto.

    Se puede descompilar un mod de la mísma manera que se puede descompilar Minecraft. Pero es un poco complejo modificar un mod ya compilado, especialmente cuando éste podría estar obfuscado, y salvo que el propio creador del mod te de el código o la tabla de deobfuscación, no podrás hacer mucho.

  3. #3
    Junior Member
    Fecha de ingreso
    diciembre-2011
    Ubicación
    el pasado
    Mensajes
    20
    gracias iguelmente

    pero la API no la han sacado ya? creo que lo vi en algún sitio, estaba convencido de que la habian sacado, pero no lo encontraba...

  4. #4
    Senior Member
    Fecha de ingreso
    abril-2011
    Ubicación
    Madrid
    Mensajes
    2,946
    Entradas de blog
    17
    Cita Iniciado por Delorean Mcartney Ver mensaje
    gracias iguelmente

    pero la API no la han sacado ya? creo que lo vi en algún sitio, estaba convencido de que la habian sacado, pero no lo encontraba...
    No. Notch la prometió para la 1.8.1, o incluso antes si no recuerdo mal, pero al final la cosa quedó en nada. Ahora han dicho que se han vuelto a poner manos a la obra con ello. Ya veremos.

 

 

Temas similares

  1. Instalar el BaseMod.class?
    Por SrFurias en el foro Ayuda
    Respuestas: 0
    Último mensaje: 24-feb-2012, 00:32
  2. Ayuda: compatibilizar mods?
    Por Delorean Mcartney en el foro Utilidades y Mods
    Respuestas: 2
    Último mensaje: 22-dic-2011, 18:43

Permisos de publicación

  • No puedes crear nuevos temas
  • No puedes responder temas
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •  
Back to Top